LayeredHighlighter (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: javax.swing.text, class: LayeredHighlighter
Keywords: javax.swing.text.LayeredHighlighter class

Module java.desktop
Package javax.swing.text

# Class LayeredHighlighter

java.lang.Object
javax.swing.text.LayeredHighlighter

All Implemented Interfaces:
  `Highlighter`

Direct Known Subclasses:
  `DefaultHighlighter`

public abstract class LayeredHighlighter extends Object implements Highlighter

See Also:
  - `Highlighter`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LayeredHighlighter.LayerPainter`
  Layered highlight renderer.

  ## Nested classes/interfaces declared in interface javax.swing.text.Highlighter

  `Highlighter.Highlight, Highlighter.HighlightPainter`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LayeredHighlighter()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `paintLayeredHighlights(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)`
  When leaf Views (such as LabelView) are rendering they should call into this method.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.text.Highlighter

  `addHighlight, changeHighlight, deinstall, getHighlights, install, paint, removeAllHighlights, removeHighlight`

- ## Constructor Details

  - ### LayeredHighlighter

    protected LayeredHighlighter()
    Constructor for subclasses to call.

- ## Method Details

  - ### paintLayeredHighlights

    public abstract void paintLayeredHighlights(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)
    When leaf Views (such as LabelView) are rendering they should call into this method. If a highlight is in the given region it will be drawn immediately.
    Parameters:
      `g` - Graphics used to draw
      `p0` - starting offset of view
      `p1` - ending offset of view
      `viewBounds` - Bounds of View
      `editor` - JTextComponent
      `view` - View instance being rendered